<?xml version="1.0" encoding="UTF-8"?>
<!--
  #%L
  Fuse EAP
  %%
  Copyright (C) 2015 RedHat
  %%
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
  
       http://www.apache.org/licenses/LICENSE-2.0
  
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
  #L%
  -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <name>Fuse EAP</name>

    <groupId>com.redhat.fuse.eap</groupId>
    <artifactId>fuse-eap</artifactId>
    <packaging>pom</packaging>

    <version>6.2.1.redhat-107</version>

    <description>Fuse EAP</description>
    <url>https://github.com/jboss-fuse/fuse-eap</url>

    <!-- Source Control -->
    <scm>
        <connection>scm:git:git@github.com:jboss-fuse/fuse-eap.git</connection>
        <developerConnection>scm:git:git@github.com:jboss-fuse/fuse-eap.git</developerConnection>
        <url>https://github.com/jboss-fuse/fuse-eap</url>
        <tag>HEAD</tag>
    </scm>

    <!-- Properties -->
    <properties>
        
        <!-- EAP versions -->
        <version.wildfly>7.5.0.Final-redhat-21</version.wildfly>

        <version.wildfly.camel>2.3.0.redhat-621107</version.wildfly.camel>
        <version.switchyard>2.0.1.redhat-621107</version.switchyard>
        <version.switchyard.distro>2.0</version.switchyard.distro>

        <!-- Other versions -->
        <version.fuse.patch>1.6.2</version.fuse.patch>
        <version.jboss.arquillian.core>1.1.7.Final</version.jboss.arquillian.core>
        <version.jboss.xnio>3.0.11.GA-redhat-2</version.jboss.xnio>
        <version.junit>4.11</version.junit>
        <version.picketlink>2.5.4.Final</version.picketlink>
        <version.org.riftsaw.ode>3.2.0.Final-redhat-2</version.org.riftsaw.ode>
        <version.slf4j>1.6.6</version.slf4j>

        <!-- Plugin versions -->
        <version-exec-maven-plugin>1.3.2</version-exec-maven-plugin>
        <version-groovy-maven-plugin>2.0</version-groovy-maven-plugin>
        <version-license-maven-plugin>1.8</version-license-maven-plugin>
        <version-maven-assembly-plugin>2.5.3</version-maven-assembly-plugin>
        <version-maven-compiler-plugin>3.1</version-maven-compiler-plugin>
        <version-maven-dependency-plugin>2.10</version-maven-dependency-plugin>
        <version-maven-deploy-plugin>2.8.2</version-maven-deploy-plugin>
        <version-maven-resources-plugin>2.7</version-maven-resources-plugin>
        <version-maven-release-plugin>2.5</version-maven-release-plugin>
        <version-maven-surefire-plugin>2.18.1</version-maven-surefire-plugin>
        <version.source.plugin>2.2.1</version.source.plugin>
        <version-shrinkwrap-resolver-plugin>2.1.1</version-shrinkwrap-resolver-plugin>
	<version-maven-antrun-plugin>1.6</version-maven-antrun-plugin>
    </properties>

    <!-- Modules -->
    <modules>
        <module>config</module>
        <module>distro</module>
        <module>installer</module>
        <module>itests</module>
    </modules>

    <!-- DependencyManagement -->
    <dependencyManagement>
        <dependencies>
        
            <!-- Fuse Patch -->
            <dependency>
                <groupId>org.wildfly.extras.patch</groupId>
                <artifactId>fuse-patch-core</artifactId>
                <version>${version.fuse.patch}</version>
            </dependency>
            
            <!-- Arquillian -->
            <dependency>
                <groupId>org.jboss.arquillian</groupId>
                <artifactId>arquillian-bom</artifactId>
                <scope>import</scope>
                <type>pom</type>
                <version>${version.jboss.arquillian.core}</version>
            </dependency>

            
            <!-- JUnit -->
            <dependency>
                <groupId>junit</groupId>
                <artifactId>junit</artifactId>
                <version>${version.junit}</version>
            </dependency>

            <!-- Picketlink -->
            <dependency>
                <groupId>org.picketlink</groupId>
                <artifactId>picketlink-federation</artifactId>
                <version>${version.picketlink}</version>
            </dependency>

            <!-- SLF4J -->
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-api</artifactId>
                <version>${version.slf4j}</version>
            </dependency>
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-log4j12</artifactId>
                <version>${version.slf4j}</version>
            </dependency>
            
            <!-- WildFly -->
            <dependency>
                <groupId>org.jboss.as</groupId>
                <artifactId>jboss-as-arquillian-container-managed</artifactId>
                <version>${version.wildfly}</version>
            </dependency>
            
            <!-- WildFly Camel -->
            <dependency>
                <groupId>org.wildfly.camel</groupId>
                <artifactId>wildfly-camel-config</artifactId>
                <version>${version.wildfly.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.camel</groupId>
                <artifactId>wildfly-camel-testenricher</artifactId>
                <version>${version.wildfly.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.camel</groupId>
                <artifactId>wildfly-camel-example-itests</artifactId>
                <version>${version.wildfly.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.camel</groupId>
                <artifactId>wildfly-camel-itests-common</artifactId>
                <version>${version.wildfly.camel}</version>
            </dependency>
            <!-- This is needed for the ShrinkWrap Maven Resolver to resolve dependencies correctly -->
            <dependency>
                <groupId>org.wildfly.camel</groupId>
                <artifactId>wildfly-camel-itests-standalone</artifactId>
                <version>${version.wildfly.camel}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.wildfly.camel</groupId>
                <artifactId>wildfly-camel-itests-standalone-basic</artifactId>
                <version>${version.wildfly.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.camel</groupId>
                <artifactId>wildfly-camel-itests-standalone-smoke</artifactId>
                <version>${version.wildfly.camel}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <!-- Build -->
    <build>
        <!-- Plugin Management -->
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-antrun-plugin</artifactId>
                    <version>${version-maven-antrun-plugin}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-assembly-plugin</artifactId>
                    <version>${version-maven-assembly-plugin}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>${version-maven-compiler-plugin}</version>
                    <configuration>
                        <source>1.7</source>
                        <target>1.7</target>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-dependency-plugin</artifactId>
                    <version>${version-maven-dependency-plugin}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-deploy-plugin</artifactId>
                    <version>${version-maven-deploy-plugin}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-resources-plugin</artifactId>
                    <version>${version-maven-resources-plugin}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-release-plugin</artifactId>
                    <version>${version-maven-release-plugin}</version>
                    <configuration>
                        <autoVersionSubmodules>true</autoVersionSubmodules>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-surefire-plugin</artifactId>
                    <version>${version-maven-surefire-plugin}</version>
                    <configuration>
                        <failIfNoTests>false</failIfNoTests>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>exec-maven-plugin</artifactId>
                    <version>${version-exec-maven-plugin}</version>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>license-maven-plugin</artifactId>
                    <version>${version-license-maven-plugin}</version>
                </plugin>
                <plugin>
                    <groupId>org.jboss.shrinkwrap.resolver</groupId>
                    <artifactId>shrinkwrap-resolver-maven-plugin</artifactId>
                    <version>${version-shrinkwrap-resolver-plugin}</version>
                </plugin>
            </plugins>
        </pluginManagement>
        <plugins>
            <plugin>
                <groupId>org.codehaus.gmaven</groupId>
                <artifactId>groovy-maven-plugin</artifactId>
                <version>${version-groovy-maven-plugin}</version>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-source-plugin</artifactId>
                <version>${version.source.plugin}</version>
                <configuration>
                    <archive>
                        <index>true</index>
                        <manifest>
                            <addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>
                            <addDefaultImplementationEntries>true</addDefaultImplementationEntries>
                        </manifest>
                        <manifestEntries>
                            <Implementation-URL>${project.url}</Implementation-URL>
                            <Java-Version>${java.version}</Java-Version>
                            <Java-Vendor>${java.vendor}</Java-Vendor>
                            <Os-Name>${os.name}</Os-Name>
                            <Os-Arch>${os.arch}</Os-Arch>
                            <Os-Version>${os.version}</Os-Version>
                            <Scm-Url>${project.scm.url}</Scm-Url>
                            <Scm-Connection>${project.scm.connection}</Scm-Connection>
                            <Scm-Revision>${buildNumber}</Scm-Revision>
                            <Build-Timestamp>${build.datetime}</Build-Timestamp>
                        </manifestEntries>
                    </archive>
                </configuration>
                <executions>
                    <execution>
                        <id>attach-sources</id>
                        <goals>
                            <goal>jar-no-fork</goal>
                        </goals>
                    </execution>
                </executions>
                <dependencies>
                    <dependency>
                        <groupId>org.codehaus.plexus</groupId>
                        <artifactId>plexus-io</artifactId>
                        <version>2.0.10</version>
                    </dependency>
                </dependencies>
            </plugin>           
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>license-maven-plugin</artifactId>
                <configuration>
                    <addJavaLicenseAfterPackage>false</addJavaLicenseAfterPackage>
                    <canUpdateCopyright>true</canUpdateCopyright>
                    <canUpdateDescription>true</canUpdateDescription>
                    <organizationName>RedHat</organizationName>
                    <licenseName>apache_v2</licenseName>
                    <inceptionYear>2015</inceptionYear>
                    <roots>
                        <root>etc</root>
                        <root>src</root>
                        <root>scripts</root>
                    </roots>
                    <excludes>
                        <exclude>**/eap/config/*-subsystem.xml</exclude>
                        <exclude>**/eap/config/*-security-domain.xml</exclude>
                    </excludes>
                    <!--  
                    <roots>
                        <root>${basedir}</root>
                    </roots>
                    <includes>
                        <include>pom.xml</include>
                    </includes>
                    -->
                </configuration>
            </plugin>           
            <plugin>
        <groupId>org.commonjava.maven.plugins</groupId>
        <artifactId>project-sources-maven-plugin</artifactId>
        <version>0.3</version>
        <executions>
          <execution>
            <id>project-sources-archive</id>
            <phase>initialize</phase>
            <goals>
              <goal>archive</goal>
            </goals>
          </execution>
        </executions>
      </plugin>           
            <plugin>
        <groupId>com.redhat.rcm.maven.plugin</groupId>
        <artifactId>buildmetadata-maven-plugin</artifactId>
        <version>1.7.0</version>
        <executions>
          <execution>
            <id>build-metadata</id>
            <phase>validate</phase>
            <goals>
              <goal>provide-buildmetadata</goal>
            </goals>
            <configuration>
              <addToLocations>
                <addToLocation>${session.executionRootDirectory}</addToLocation>
              </addToLocations>
              <addOsInfo>false</addOsInfo>
              <addHostInfo>false</addHostInfo>
              <validateCheckout>false</validateCheckout>
              <hideJavaOptsInfo>false</hideJavaOptsInfo>
              <activateOutputFileMapping>false</activateOutputFileMapping>
              <createXmlReport>false</createXmlReport>
              <hideCommandLineInfo>false</hideCommandLineInfo>
              <propertiesOutputFile>${project.build.outputDirectory}/META-INF/build.metadata</propertiesOutputFile>
              <addToFilters>false</addToFilters>
              <createPropertiesReport>true</createPropertiesReport>
              <addMavenExecutionInfo>false</addMavenExecutionInfo>
              <addLocallyModifiedTagToFullVersion>false</addLocallyModifiedTagToFullVersion>
              <addBuildDateInfo>false</addBuildDateInfo>
              <addBuildDateToFullVersion>false</addBuildDateToFullVersion>
              <addJavaRuntimeInfo>true</addJavaRuntimeInfo>
              <addToGeneratedSources>false</addToGeneratedSources>
              <forceNewProperties>true</forceNewProperties>
            </configuration>
          </execution>
        </executions>
      </plugin>
        </plugins>
    </build>

    <!-- Licenses -->
    <licenses>
        <license>
            <name>apache_v2</name>
            <url>http://repository.jboss.org/licenses/apache-2.0.txt</url>
        </license>
    </licenses>

    <!-- Developers -->
    <developers>
        <developer>
            <name>Fuse EAP Committers</name>
        </developer>
    </developers>

    <!-- Distribution Management -->
    <distributionManagement>
        <repository>
            <id>jboss-releases-repository</id>
            <name>JBoss Releases Repository</name>
            <url>https://repository.jboss.org/nexus/service/local/staging/deploy/maven2</url>
        </repository>
        <snapshotRepository>
            <id>jboss-snapshots-repository</id>
            <name>JBoss Snapshots Repository</name>
            <url>https://repository.jboss.org/nexus/content/repositories/snapshots</url>
        </snapshotRepository>
    </distributionManagement>

    <!-- Issue Management -->
    <issueManagement>
        <system>Jira</system>
        <url>https://issues.jboss.org/browse/ENTESB</url>
    </issueManagement>
    
    <!-- Repositories -->

</project>
<!--
Modified by POM Manipulation Extension for Maven 1.17 ( SHA: 89482a03 ) 
-->

